I'm unable to update Simple Sitemaps for Multisite plugin.

I receive the the error message, "Could not remove the old plugin. Plugin update failed."

Wordpress Version 3.6.1

Simple Sitemap Version: 1.0.4